CVE-2023-0341

Name
CVE-2023-0341
Description
A stack buffer overflow exists in the ec_glob function of editorconfig-core-c before v0.12.6 which allowed an attacker to arbitrarily write to the stack and possibly allows remote code execution. editorconfig-core-c v0.12.6 resolved this vulnerability by bound checking all write operations over the p_pcre buffer.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://github.com/editorconfig/editorconfig-core-c/commit/41281ea82fbf24b060a9f69b9c5369350fb0529e
MISC https://litios.github.io/2023/01/14/CVE-2023-0341.html
MISC https://ubuntu.com/security/notices/USN-5842-1
MISC https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/ZCFE7DXWAAKDJPRKMXHCACKGKNV37IYZ/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:editorconfig:editorconfig:*:*:*:*:*:*:*:* editorconfig >= None < 0.12.6

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
editorconfig 3.17-community 0.12.5-r1 Paul Morgan <jumanjiman@gmail.com> possibly vulnerable